<?php

use tests\codeception\frontend\_pages\ContactPage;
use tests\codeception\frontend\FunctionalTester;

/* @var $scenario Codeception\Scenario */

$I = new FunctionalTester($scenario);
$contactPage = ContactPage::openBy($I);

$I->wantTo("m'assurer que le formulaire de contact fonctionne");
$I->see('Me contacter', 'h1');

$I->amGoingTo("envoyer un message");
$contactPage->submit([
    'name' => 'Test',
    'email' => 'test@opendistrib.net',
    'subject' => 'Sujet',
    'body' => 'Message',
    'isTest' => 'isTest'
]);
$I->see('Votre message a bien été envoyé', '.alert-success');